package com.bocloud.cmp.model.storage;

public class StorageFCPortModel {
    private String portUuid; // 唯一标识
    private String nodeName; // 所属node名称
    private String identifier; // 标识
    private String wwpn; // wwpn
    private Long speed; // 速率byte
    private String linkTech; // 连接技术
    private String status; // 状态
    private String keyPath; // smis用来传参
    private String name; // 名称
    private String position; // 位置
    private String operationalStatus; // 运行状态

    public String getKeyPath() {
        return keyPath;
    }

    public void setKeyPath(String keyPath) {
        this.keyPath = keyPath;
    }

    public String getNodeName() {
        return nodeName;
    }

    public void setNodeName(String nodeName) {
        this.nodeName = nodeName;
    }

    public String getPortUuid() {
        return portUuid;
    }

    public void setPortUuid(String portUuid) {
        this.portUuid = portUuid;
    }

    public String getWwpn() {
        return wwpn;
    }

    public void setWwpn(String wwpn) {
        this.wwpn = wwpn;
    }

    public Long getSpeed() {
        return speed;
    }

    public void setSpeed(Long speed) {
        this.speed = speed;
    }

    public String getLinkTech() {
        return linkTech;
    }

    public void setLinkTech(String linkTech) {
        this.linkTech = linkTech;
    }

    public String getIdentifier() {
        return identifier;
    }

    public void setIdentifier(String identifier) {
        this.identifier = identifier;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public String getOperationalStatus() {
        return operationalStatus;
    }

    public void setOperationalStatus(String operationalStatus) {
        this.operationalStatus = operationalStatus;
    }
}
